package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 设备-质检值
 * </p>
 *
 * @author lijin
 * @since 2023-01-30
 */
public class DeviceQualityValueDto {

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

        @ApiModelProperty("修改类型")
        private String type;

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Integer id;

        @ApiModelProperty(value = "质检id")
        private Integer qualityId;

        @ApiModelProperty(value = "交易测试笔数")
        private Integer tradeStateValue;

        @ApiModelProperty(value = "门锁次数")
        private Integer lockerStateValue;

        @ApiModelProperty(value = "温度检测值")
        private String tempratureStateValue;

        @ApiModelProperty(value = "模拟批量测试笔数")
        private Integer imitateTestStateValue;

        @ApiModelProperty(value = "软件硬系统值")
        private String systemStateValue;

        @ApiModelProperty(value = "参数设置值")
        private String settingStateValue;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

    }

}
